Subject: Re: bug#24529: 11.89.5; Bug: org-table/auctex error "Marker does not point anywhere"

From: Arash Esbati <[email-masked]>
Date: Mon, 04 Mar 2024 12:41:10 +0100

"Tamulis, Andrius" <[email-masked]> writes:

> I get an error "Marker does not point anywhere" when using orgtbl-mode
> while using AUCTeX to edit a .tex file. The error does not happen if I
> rename the min.tex file to min.nottex, as then AUCTeX does not
> recognize the file and does not load. So this is a joint
> org-table/auctex/font-lock error, and I am submitting this bug to
> [email-masked] and to [email-masked].
>
> I open the .tex file, get to the table I want to edit, then do M-x
> orgtbl-mode. I then tab a couple of times. Then make an edit - any
> edit. Tab again, and the error comes up.
>
> I finally traced the error to the line
>
>    '(font-lock-global-modes nil)
>
> in my .emacs file. Comment this out, and the error does not happen.
>
> I really don't like font-lock, as I don't like all those colors. I'd
> prefer to have my font-lock-global-modes set to nil, somehow.
>
> Minimal files and backtrace below.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Is this issue still present?

I tried it with a recent AUCTeX and Emacs and couldn't reproduce it.

Best, Arash